{"openapi":"3.1.0","info":{"title":"Prefect Cloud API","description":"Prefect Cloud REST API documentation.","version":"0.8.4"},"paths":{"/api/workspace_scopes":{"get":{"tags":["Workspace Scopes"],"summary":"Get Workspace Scopes","operationId":"get_workspace_scopes_api_workspace_scopes_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/WorkspaceScope"},"type":"array","title":"Response Get Workspace Scopes Api Workspace Scopes Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/permissions":{"get":{"tags":["Accounts"],"summary":"List Permissions","description":"List account permissions","operationId":"list_permissions_api_accounts_permissions_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/AccountPermission"},"type":"array","uniqueItems":true,"title":"Response List Permissions Api Accounts Permissions Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}":{"get":{"tags":["Accounts"],"summary":"Read Account","description":"Get an account by id.","operationId":"read_account_api_accounts__account_id__get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Accounts"],"summary":"Update Account","description":"Update an account by id.","operationId":"update_account_api_accounts__account_id__patch","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountUpdate"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Accounts"],"summary":"Delete Account","operationId":"delete_account_api_accounts__account_id__delete","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/settings":{"get":{"tags":["Accounts"],"summary":"Read Account Settings","operationId":"read_account_settings_api_accounts__account_id__settings_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Accounts"],"summary":"Update Account Settings","operationId":"update_account_settings_api_accounts__account_id__settings_patch","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountSettingsUpdate"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/domains":{"get":{"tags":["Accounts"],"summary":"Read Account Domains","operationId":"read_account_domains_api_accounts__account_id__domains_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Accounts"],"summary":"Update Account Domains","description":"Update an account's associated domains.","operationId":"update_account_domains_api_accounts__account_id__domains_patch","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_update_account_domains_api_accounts__account_id__domains_patch"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/usage_limits":{"get":{"tags":["Accounts"],"summary":"Read Account Usage Limits","operationId":"read_account_usage_limits_api_accounts__account_id__usage_limits_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsageLimitsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/usage":{"get":{"tags":["Accounts"],"summary":"Read Account Usage","operationId":"read_account_usage_api_accounts__account_id__usage_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceUsageResponse"},"title":"Response Read Account Usage Api Accounts  Account Id  Usage Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/image":{"get":{"tags":["Account Images"],"summary":"Get Account Image","operationId":"get_account_image_api_accounts__account_id__image_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Account Images"],"summary":"Upload Account Image","operationId":"upload_account_image_api_accounts__account_id__image_put","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_upload_account_image_api_accounts__account_id__image_put"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Account Images"],"summary":"Delete Account Image","operationId":"delete_account_image_api_accounts__account_id__image_delete","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/teams/":{"post":{"tags":["Teams"],"summary":"Create Team","description":"Create or update a team's metadata.\n\nRequired account permissions: `create:team`","operationId":"create_team_api_accounts__account_id__teams__post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/teams/{id}":{"get":{"tags":["Teams"],"summary":"Read Team","description":"Get a team by id.\n\nRequired account permissions: `read:team`","operationId":"read_team_api_accounts__account_id__teams__id__get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Teams"],"summary":"Update Team","description":"\n\nRequired account permissions: `update:team`","operationId":"update_team_api_accounts__account_id__teams__id__put","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Teams"],"summary":"Delete Team","description":"Delete a team by id.\n\nRequired account permissions: `delete:team`","operationId":"delete_team_api_accounts__account_id__teams__id__delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/teams/filter":{"post":{"tags":["Teams"],"summary":"Read Teams","description":"Query for teams.\n\nRequired account permissions: `read:team`","operationId":"read_teams_api_accounts__account_id__teams_filter_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_read_teams_api_accounts__account_id__teams_filter_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TeamResponse"},"title":"Response Read Teams Api Accounts  Account Id  Teams Filter Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/teams/{id}/members":{"put":{"tags":["Teams"],"summary":"Upsert Team Members","description":"Upsert team memberships.\n\nRequired account permissions: `update:team`","operationId":"upsert_team_members_api_accounts__account_id__teams__id__members_put","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_upsert_team_members_api_accounts__account_id__teams__id__members_put"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/teams/{team_id}/members/{actor_id}":{"delete":{"tags":["Teams"],"summary":"Remove Team Member","description":"Remove a member from a team.\n\nRequired account permissions: `update:team`","operationId":"remove_team_member_api_accounts__account_id__teams__team_id__members__actor_id__delete","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"team_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Team Id"}},{"name":"actor_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Actor Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/account_memberships/filter":{"post":{"tags":["Account Memberships"],"summary":"Read Account Memberships","description":"Query for account memberships.\n\nRequired account permissions: `read:account_membership`","operationId":"read_account_memberships_api_accounts__account_id__account_memberships_filter_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_read_account_memberships_api_accounts__account_id__account_memberships_filter_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountMembershipsResponse"},"title":"Response Read Account Memberships Api Accounts  Account Id  Account Memberships Filter Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/account_memberships/download":{"get":{"tags":["Account Memberships"],"summary":"Download User Account Memberships Csv","description":"Stream all human users in the account as a CSV file.\n\nBot/service-account memberships are excluded. The export is streamed using\nserver-side cursors plus per-batch enrichment (teams + workspace access for\nonly the actors in the current chunk), so memory stays bounded by\n`_EXPORT_BATCH_SIZE` regardless of total account size.\n\nMulti-value columns (`workspace_ids`, `workspace_names`, `team_ids`,\n`team_names`) are encoded as JSON arrays so that names containing commas,\nsemicolons, or other delimiters round-trip unambiguously. The id columns\nalways contain only UUIDs; the name columns contain whatever the user has\ntyped for those resources.\n\nCaveat — audit truncation: the audit event is registered before the\nStreamingResponse begins. If the body iterator raises after the first\nyield, FastAPI may have already sent the partial 200 to the client; the\naudit log will record \"exported\" for a body that was actually cut short.\nSame behavior as the logs/flow_runs.py CSV download. Acceptable here\nbecause the audit captures intent; if the export is cut short the user\nwill retry.\n\nRequired account permissions: `read:account_membership`","operationId":"download_user_account_memberships_csv_api_accounts__account_id__account_memberships_download_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/account_memberships/count":{"post":{"tags":["Account Memberships"],"summary":"Count Account Memberships","description":"Query for account memberships count\n\nRequired account permissions: `read:account_membership`","operationId":"count_account_memberships_api_accounts__account_id__account_memberships_count_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_count_account_memberships_api_accounts__account_id__account_memberships_count_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"integer","title":"Response Count Account Memberships Api Accounts  Account Id  Account Memberships Count Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/account_memberships/by-user/{user_id}":{"get":{"tags":["Account Memberships"],"summary":"Read Account Membership By User","description":"Get an Account Membership by user id.\n\nLooks up the membership for the given user within the account and returns\nenriched member details including timezone and team memberships.\n\nReturns 404 when the user is not a member of the account (e.g. they have\nsince been removed), allowing the frontend to show a \"deactivated user\"\nfallback.\n\nRequired account permissions: `read:account_membership`","operationId":"read_account_membership_by_user_api_accounts__account_id__account_memberships_by_user__user_id__get","parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"User Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountMemberSummaryResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/account_memberships/by-bot/{bot_id}":{"get":{"tags":["Account Memberships"],"summary":"Read Account Membership By Bot","description":"Get an Account Membership by bot id.\n\nLooks up the membership for the given bot within the account and returns\nenriched member details including team memberships.\n\nReturns 404 when the bot is not a member of the account.\n\nRequired account permissions: `read:account_membership`","operationId":"read_account_membership_by_bot_api_accounts__account_id__account_memberships_by_bot__bot_id__get","parameters":[{"name":"bot_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Bot Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountMemberSummaryResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/account_memberships/{id}":{"get":{"tags":["Account Memberships"],"summary":"Read Account Membership","description":"Get an Account Membership by membership id.\n\nReturns enriched member details including timezone and team memberships.\nReturns 404 for bot memberships — use the bots endpoint for those.\n\nRequired account permissions: `read:account_membership`","operationId":"read_account_membership_api_accounts__account_id__account_memberships__id__get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountMemberSummaryResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Account Memberships"],"summary":"Update Account Membership","description":"Update an account membership by id.\n\nRequired account permissions: `update:account_membership`","operationId":"update_account_membership_api_accounts__account_id__account_memberships__id__patch","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountMembershipUpdate"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Account Memberships"],"summary":"Delete Account Membership","description":"Delete an account membership by id.\nThis will also delete any workspace accesses that the membership's actor\nhas under the account.\n\nRequired account permissions: `delete:account_membership`","operationId":"delete_account_membership_api_accounts__account_id__account_memberships__id__delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/account_memberships/{id}/active":{"patch":{"tags":["Account Memberships"],"summary":"Toggle Account Membership Active","description":"\n\nRequired account permissions: `update:account_membership`","operationId":"toggle_account_membership_active_api_accounts__account_id__account_memberships__id__active_patch","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountMembershipSetActive"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/account_memberships/set_active":{"post":{"tags":["Account Memberships"],"summary":"Bulk Set Account Membership Active","description":"\n\nRequired account permissions: `update:account_membership`","operationId":"bulk_set_account_membership_active_api_accounts__account_id__account_memberships_set_active_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountMembershipBulkSetActive"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/account_roles/{id}":{"get":{"tags":["Account Roles"],"summary":"Read Account Role","description":"Get an Account Role by id.\n\nRequired account permissions: `read:account_role`","operationId":"read_account_role_api_accounts__account_id__account_roles__id__get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountRole"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Account Roles"],"summary":"Update Account Role","description":"Update an account role by id.\n\nRequired account permissions: `update:account_role`","operationId":"update_account_role_api_accounts__account_id__account_roles__id__patch","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountRoleUpdate"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Account Roles"],"summary":"Delete Account Role","description":"Delete an account role by id.\n\nRequired account permissions: `delete:account_role`","operationId":"delete_account_role_api_accounts__account_id__account_roles__id__delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/account_roles/filter":{"post":{"tags":["Account Roles"],"summary":"Read Account Roles","description":"Query for account roles.\n\nRequired account permissions: `read:account_role`","operationId":"read_account_roles_api_accounts__account_id__account_roles_filter_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_read_account_roles_api_accounts__account_id__account_roles_filter_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountRole"},"title":"Response Read Account Roles Api Accounts  Account Id  Account Roles Filter Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/sso/setup_url":{"get":{"tags":["Account SSO"],"summary":"Read Sso Setup Url","description":"Get an SSO connection setup URL for a given account\n\nReturns a URL if the account doesn't already have SSO configured\n\nRequired account permissions: `administrate:sso`","operationId":"read_sso_setup_url_api_accounts__account_id__sso_setup_url_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"string","title":"Response Read Sso Setup Url Api Accounts  Account Id  Sso Setup Url Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/sso/dsync_setup_url":{"get":{"tags":["Account SSO"],"summary":"Read Dsync Setup Url","description":"Get an Directory Sync connection setup URL for a given account\n\nReturns a URL if the account doesn't already have Directory Sync configured\n\nRequired account permissions: `administrate:sso`","operationId":"read_dsync_setup_url_api_accounts__account_id__sso_dsync_setup_url_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"string","title":"Response Read Dsync Setup Url Api Accounts  Account Id  Sso Dsync Setup Url Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/sso/validate":{"post":{"tags":["Account SSO"],"summary":"Validate","description":"Validate that the current actor has recently authenticated with the\nAccount's authenticator.\n\nRequired account permissions: `read:account`","operationId":"validate_api_accounts__account_id__sso_validate_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_validate_api_accounts__account_id__sso_validate_post"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/sso/integrations":{"get":{"tags":["Account SSO"],"summary":"Integrations","description":"Return details about an Account's SSO / SCIM integrations.\n\nRequired account permissions: `administrate:sso`","operationId":"integrations_api_accounts__account_id__sso_integrations_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkOSIntegrationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/sso/integrations/{integration_id}":{"delete":{"tags":["Account SSO"],"summary":"Remove Integration","description":"Return details about an Account's SSO / SCIM integrations.\n\nRequired account permissions: `administrate:sso`","operationId":"remove_integration_api_accounts__account_id__sso_integrations__integration_id__delete","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","title":"Integration Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/bots/":{"post":{"tags":["Bots"],"summary":"Create Bot","description":"Create a Bot\n\nRequired account permissions: `create:bot`","operationId":"create_bot_api_accounts__account_id__bots__post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotCreateResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/bots/{id}":{"get":{"tags":["Bots"],"summary":"Read Bot","description":"Get a bot by id.\n\nRequired account permissions: `read:bot`","operationId":"read_bot_api_accounts__account_id__bots__id__get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotReadResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Bots"],"summary":"Update Bot","description":"Update a bot by id.\n\nRequired account permissions: `update:bot`","operationId":"update_bot_api_accounts__account_id__bots__id__patch","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotUpdate"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Bots"],"summary":"Delete Bot","description":"Delete a bot by id.\n\nRequired account permissions: `delete:bot`","operationId":"delete_bot_api_accounts__account_id__bots__id__delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/bots/filter":{"post":{"tags":["Bots"],"summary":"Read Bots","description":"Query for bots.\n\nRequired account permissions: `read:bot`","operationId":"read_bots_api_accounts__account_id__bots_filter_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_read_bots_api_accounts__account_id__bots_filter_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BotReadResponse"},"title":"Response Read Bots Api Accounts  Account Id  Bots Filter Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/bots/paginate":{"post":{"tags":["Bots"],"summary":"Paginate Bots","description":"Pagination query for bots.\n\nRequired account permissions: `read:bot`","operationId":"paginate_bots_api_accounts__account_id__bots_paginate_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_paginate_bots_api_accounts__account_id__bots_paginate_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotPaginationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/bots/{id}/rotate_api_key":{"post":{"tags":["Bots"],"summary":"Rotate Api Key","description":"Rotate the api key for a Bot.\n\nRequired account permissions: `update:bot`","operationId":"rotate_api_key_api_accounts__account_id__bots__id__rotate_api_key_post","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/BotRotateAPIKey"},{"type":"null"}],"title":"Bot Rotate Key"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotCreateResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/bots/{id}/read_bot_api_keys":{"get":{"tags":["Bots"],"summary":"Read Bot Api Keys","description":"Get a bot's api keys by id.\n\nRequired account permissions: `read:bot`","operationId":"read_bot_api_keys_api_accounts__account_id__bots__id__read_bot_api_keys_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotAPIKeyReadResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/bots/{id}/delete_bot_api_key/{api_key_id}":{"delete":{"tags":["Bots"],"summary":"Delete Bot Api Key","description":"Delete a bot's api key by id.\n\nRequired account permissions: `update:bot`","operationId":"delete_bot_api_key_api_accounts__account_id__bots__id__delete_bot_api_key__api_key_id__delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"api_key_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Api Key Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/bots/{id}/rotate_mcp_oauth_client_credentials":{"post":{"tags":["Bots"],"summary":"Rotate Mcp Oauth Client Credentials","description":"Rotate MCP OAuth client credentials for a service account.\n\nRequired account permissions: `update:bot`","operationId":"rotate_mcp_oauth_client_credentials_api_accounts__account_id__bots__id__rotate_mcp_oauth_client_credentials_post","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotMCPOAuthClientCredentialsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/bots/{id}/mcp_oauth_client_credentials":{"get":{"tags":["Bots"],"summary":"Read Mcp Oauth Client Credentials","description":"Read metadata for a service account's active MCP OAuth credentials.\n\nRequired account permissions: `read:bot`","operationId":"read_mcp_oauth_client_credentials_api_accounts__account_id__bots__id__mcp_oauth_client_credentials_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BotMCPOAuthClientCredentialsMetadataResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Bots"],"summary":"Revoke Mcp Oauth Client Credentials","description":"Revoke a service account's active MCP OAuth credentials.\n\nRequired account permissions: `update:bot`","operationId":"revoke_mcp_oauth_client_credentials_api_accounts__account_id__bots__id__mcp_oauth_client_credentials_delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/invitations/":{"post":{"tags":["Invitations"],"summary":"Create Invitation","description":"Invite user(s) to an account.\nAny PENDING invitations for the same user to the account will be revoked.\n\nRequired account permissions: `create:invitation`","operationId":"create_invitation_api_accounts__account_id__invitations__post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InvitationCreate"},"title":"Invitations"}}}},"responses":{"201":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InvitationReadResponse"},"title":"Response Create Invitation Api Accounts  Account Id  Invitations  Post"},"examples":{"created":{"summary":"Invite created","value":{"id":"666cfdd6-4a8f-4ace-bb90-afe01c708a7c","email":"user@test.io","account_id":"a78eef05-5763-4a1d-a22f-06ee22073893","account_role_id":"a35061bb-aec0-49d0-a574-0433d699ea4a","status":"PENDING","expiration":"2026-10-26T21:45:00.558867Z"}}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/invitations/{id}":{"get":{"tags":["Invitations"],"summary":"Read Invitation","description":"Get an invitation by id\n\nRequired account permissions: `read:invitation`","operationId":"read_invitation_api_accounts__account_id__invitations__id__get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvitationReadResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/invitations/filter":{"post":{"tags":["Invitations"],"summary":"Read Invitations","description":"Query for invitations\n\nRequired account permissions: `read:invitation`","operationId":"read_invitations_api_accounts__account_id__invitations_filter_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_read_invitations_api_accounts__account_id__invitations_filter_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InvitationReadResponse"},"title":"Response Read Invitations Api Accounts  Account Id  Invitations Filter Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/invitations/count":{"post":{"tags":["Invitations"],"summary":"Count Invitations","description":"Query for invitations count\n\nRequired account permissions: `read:invitation`","operationId":"count_invitations_api_accounts__account_id__invitations_count_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_count_invitations_api_accounts__account_id__invitations_count_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"integer","title":"Response Count Invitations Api Accounts  Account Id  Invitations Count Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/invitations/{id}/revoke":{"post":{"tags":["Invitations"],"summary":"Revoke Invitation","description":"Delete an invitation by id\n\nRequired account permissions: `update:invitation`","operationId":"revoke_invitation_api_accounts__account_id__invitations__id__revoke_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/":{"post":{"tags":["Workspaces"],"summary":"Create Workspace","description":"Create a Workspace\n\nRequired account permissions: `create:workspace`","operationId":"create_workspace_api_accounts__account_id__workspaces__post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Workspace"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}":{"get":{"tags":["Workspaces"],"summary":"Read Workspace","description":"Get a workspace by id.\n\nRequired account permissions: `read:workspace`","operationId":"read_workspace_api_accounts__account_id__workspaces__workspace_id__get","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Workspace"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Workspaces"],"summary":"Update Workspace","description":"Update a workspace by id.\n\nRequired workspace scopes: `write_workspace_settings`","operationId":"update_workspace_api_accounts__account_id__workspaces__workspace_id__patch","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceUpdate"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Workspaces"],"summary":"Delete Workspace","description":"Delete a workspace by id.\n\nRequired workspace scopes: `manage_workspace_settings`","operationId":"delete_workspace_api_accounts__account_id__workspaces__workspace_id__delete","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/filter":{"post":{"tags":["Workspaces"],"summary":"Read Workspaces","description":"Query for workspaces.\n\nRequired account permissions: `read:workspace`","operationId":"read_workspaces_api_accounts__account_id__workspaces_filter_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_read_workspaces_api_accounts__account_id__workspaces_filter_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Workspace"},"title":"Response Read Workspaces Api Accounts  Account Id  Workspaces Filter Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/transfer":{"post":{"tags":["Workspaces"],"summary":"Transfer Workspace","description":"Transfer a workspace to a new account\n\nRequired account permissions: `delete:workspace`","operationId":"transfer_workspace_api_accounts__account_id__workspaces__workspace_id__transfer_post","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_transfer_workspace_api_accounts__account_id__workspaces__workspace_id__transfer_post"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/validate_transfer":{"post":{"tags":["Workspaces"],"summary":"Validate Transfer Workspace","description":"Validate transfer of a workspace to a new account, returning any validation errors\n\nRequired account permissions: `delete:workspace`","operationId":"validate_transfer_workspace_api_accounts__account_id__workspaces__workspace_id__validate_transfer_post","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_validate_transfer_workspace_api_accounts__account_id__workspaces__workspace_id__validate_transfer_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"object","additionalProperties":{"type":"string"}}},"title":"Response Validate Transfer Workspace Api Accounts  Account Id  Workspaces  Workspace Id  Validate Transfer Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/workspaces/{workspace_id}":{"get":{"tags":["Workspaces"],"summary":"Find Workspace Without Account Id","description":"Redirects to the full account-scoped URL of a workspace","operationId":"find_workspace_without_account_id_api_workspaces__workspace_id__get","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/settings":{"get":{"tags":["Workspaces"],"summary":"Read Workspace Settings","description":"Read a workspace's settings by id.\n\nRequired workspace scopes: `see_workspace_settings`","operationId":"read_workspace_settings_api_accounts__account_id__workspaces__workspace_id__settings_get","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceSettings"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Workspaces"],"summary":"Update Workspace Settings","description":"Update a workspace's settings by id.\n\nRequired workspace scopes: `write_workspace_settings`","operationId":"update_workspace_settings_api_accounts__account_id__workspaces__workspace_id__settings_patch","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceSettingsUpdate"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspace_roles/":{"post":{"tags":["Workspace Roles"],"summary":"Create Workspace Role","description":"Create a custom workspace role.\n\nRequired account permissions: `create:workspace_role`","operationId":"create_workspace_role_api_accounts__account_id__workspace_roles__post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceRoleCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceRole"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspace_roles/{id}":{"patch":{"tags":["Workspace Roles"],"summary":"Update Workspace Role","description":"Update a custom workspace role.\n\nRequired account permissions: `update:workspace_role`","operationId":"update_workspace_role_api_accounts__account_id__workspace_roles__id__patch","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceRoleUpdate"}}}},"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Workspace Roles"],"summary":"Delete Workspace Role","description":"Delete a custom workspace role.\n\nRequired account permissions: `delete:workspace_role`","operationId":"delete_workspace_role_api_accounts__account_id__workspace_roles__id__delete","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Workspace Roles"],"summary":"Read Workspace Role","description":"Read a workspace role.\n\nRequired account permissions: `read:workspace_role`","operationId":"read_workspace_role_api_accounts__account_id__workspace_roles__id__get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceRole"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspace_roles/filter":{"post":{"tags":["Workspace Roles"],"summary":"Read Workspace Roles","description":"Query for workspace roles.\n\nRequired account permissions: `read:workspace_role`","operationId":"read_workspace_roles_api_accounts__account_id__workspace_roles_filter_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_read_workspace_roles_api_accounts__account_id__workspace_roles_filter_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceRole"},"title":"Response Read Workspace Roles Api Accounts  Account Id  Workspace Roles Filter Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/rate-limits/status":{"get":{"tags":["Rate Limits"],"summary":"Read Rate Limit Status","description":"Check whether the account is currently exceeding any rate limits.\n\nReturns a list of bucket names that are currently exceeded. The frontend\nuses this to display a warning banner. The exceeded status auto-clears\n~15 minutes after the last denied request.\n\nRequired account permissions: `read:account`","operationId":"read_rate_limit_status_api_accounts__account_id__rate_limits_status_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitStatusResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/rate-limits/usage":{"get":{"tags":["Rate Limits"],"summary":"Read Rate Limit Usage","description":"Read rate limit usage for a given account.\n\nRequired account permissions: `read:account`","operationId":"read_rate_limit_usage_api_accounts__account_id__rate_limits_usage_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"since","in":"query","required":false,"schema":{"type":"string","format":"date-time","description":"The start date of the usage period","title":"Since"},"description":"The start date of the usage period"},{"name":"until","in":"query","required":false,"schema":{"type":"string","format":"date-time","description":"The end date of the usage period","title":"Until"},"description":"The end date of the usage period"},{"name":"keys","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"minItems":1,"description":"The keys to query usage for","title":"Keys"},"description":"The keys to query usage for"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitUsageResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/rate-limits/usage/download":{"get":{"tags":["Rate Limits"],"summary":"Download Rate Limit Usage","description":"Download rate limit usage for a given account as a CSV file.\n\nRequired account permissions: `read:account`","operationId":"download_rate_limit_usage_api_accounts__account_id__rate_limits_usage_download_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"since","in":"query","required":false,"schema":{"type":"string","format":"date-time","description":"The start date of the usage period","title":"Since"},"description":"The start date of the usage period"},{"name":"until","in":"query","required":false,"schema":{"type":"string","format":"date-time","description":"The end date of the usage period","title":"Until"},"description":"The end date of the usage period"},{"name":"keys","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"minItems":1,"description":"The keys to query usage for","title":"Keys"},"description":"The keys to query usage for"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/rate-limits/orchestration-api":{"get":{"tags":["Rate Limits"],"summary":"Read Orchestration Api Grouped Usage","description":"Read orchestration API rate limit usage grouped by a dimension over time.\n\nRequired account permissions: `read:account`","operationId":"read_orchestration_api_grouped_usage_api_accounts__account_id__rate_limits_orchestration_api_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"since","in":"query","required":true,"schema":{"type":"string","format":"date-time","description":"Start time of the usage period (inclusive)","title":"Since"},"description":"Start time of the usage period (inclusive)"},{"name":"until","in":"query","required":true,"schema":{"type":"string","format":"date-time","description":"End time of the usage period (inclusive)","title":"Until"},"description":"End time of the usage period (inclusive)"},{"name":"group_by","in":"query","required":true,"schema":{"type":"string","description":"The dimension to group usage by (e.g., workspace_id, api_key_name)","title":"Group By"},"description":"The dimension to group usage by (e.g., workspace_id, api_key_name)"},{"name":"workspace_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"description":"Filter by workspace ID","title":"Workspace Id"},"description":"Filter by workspace ID"},{"name":"api_key_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Filter by API key name","title":"Api Key Name"},"description":"Filter by API key name"},{"name":"actor_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Filter by actor name","title":"Actor Name"},"description":"Filter by actor name"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitGroupedUsageResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/rate-limits/events":{"get":{"tags":["Rate Limits"],"summary":"Read Events Grouped Usage","description":"Read events rate limit usage grouped by a dimension over time.\n\nRequired account permissions: `read:account`","operationId":"read_events_grouped_usage_api_accounts__account_id__rate_limits_events_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"since","in":"query","required":true,"schema":{"type":"string","format":"date-time","description":"Start time of the usage period (inclusive)","title":"Since"},"description":"Start time of the usage period (inclusive)"},{"name":"until","in":"query","required":true,"schema":{"type":"string","format":"date-time","description":"End time of the usage period (inclusive)","title":"Until"},"description":"End time of the usage period (inclusive)"},{"name":"group_by","in":"query","required":true,"schema":{"type":"string","description":"The dimension to group usage by (e.g., workspace_id, event_name)","title":"Group By"},"description":"The dimension to group usage by (e.g., workspace_id, event_name)"},{"name":"workspace_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"description":"Filter by workspace ID","title":"Workspace Id"},"description":"Filter by workspace ID"},{"name":"api_key_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Filter by API key name","title":"Api Key Name"},"description":"Filter by API key name"},{"name":"actor_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Filter by actor name","title":"Actor Name"},"description":"Filter by actor name"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitGroupedUsageResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/rate-limits/api-key-names":{"get":{"tags":["Rate Limits"],"summary":"List Api Key Names","description":"List distinct API key names from rate limit usage data.\n\nReturns API key names ordered by most recently seen, with optional\nfuzzy search filtering.\n\nRequired account permissions: `read:account`","operationId":"list_api_key_names_api_accounts__account_id__rate_limits_api_key_names_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"since","in":"query","required":true,"schema":{"type":"string","format":"date-time","description":"Start time of the search period (inclusive)","title":"Since"},"description":"Start time of the search period (inclusive)"},{"name":"until","in":"query","required":true,"schema":{"type":"string","format":"date-time","description":"End time of the search period (inclusive)","title":"Until"},"description":"End time of the search period (inclusive)"},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Fuzzy search string (case-insensitive substring match)","title":"Search"},"description":"Fuzzy search string (case-insensitive substring match)"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":250,"minimum":1,"description":"Maximum number of results to return","default":50,"title":"Limit"},"description":"Maximum number of results to return"},{"name":"keys","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"Filter to specific rate limit keys (e.g., orchestration-api, logs-and-events)","title":"Keys"},"description":"Filter to specific rate limit keys (e.g., orchestration-api, logs-and-events)"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DistinctValuesResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/rate-limits/actor-names":{"get":{"tags":["Rate Limits"],"summary":"List Actor Names","description":"List distinct actor names from rate limit usage data.\n\nReturns actor names (users and service accounts) ordered by most recently\nseen, with optional fuzzy search filtering.\n\nRequired account permissions: `read:account`","operationId":"list_actor_names_api_accounts__account_id__rate_limits_actor_names_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"since","in":"query","required":true,"schema":{"type":"string","format":"date-time","description":"Start time of the search period (inclusive)","title":"Since"},"description":"Start time of the search period (inclusive)"},{"name":"until","in":"query","required":true,"schema":{"type":"string","format":"date-time","description":"End time of the search period (inclusive)","title":"Until"},"description":"End time of the search period (inclusive)"},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Fuzzy search string (case-insensitive substring match)","title":"Search"},"description":"Fuzzy search string (case-insensitive substring match)"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":250,"minimum":1,"description":"Maximum number of results to return","default":50,"title":"Limit"},"description":"Maximum number of results to return"},{"name":"keys","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"Filter to specific rate limit keys (e.g., orchestration-api, logs-and-events)","title":"Keys"},"description":"Filter to specific rate limit keys (e.g., orchestration-api, logs-and-events)"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DistinctValuesResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/managed_execution/details":{"get":{"tags":["Prefect Serverless"],"summary":"Read Managed Execution Details","description":"Compute usage so far this period plus the workspace's MEX limits and next reset.\n\nRequired workspace scopes: `see_workspace_settings`","operationId":"read_managed_execution_details_api_accounts__account_id__workspaces__workspace_id__managed_execution_details_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceLimitsUsageResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/managed_execution/usage":{"get":{"tags":["Prefect Serverless"],"summary":"Read Managed Execution Usage","description":"Compute usage buckets plus the current limit snapshot.\n\nRequired workspace scopes: `see_workspace_settings`","operationId":"read_managed_execution_usage_api_accounts__account_id__workspaces__workspace_id__managed_execution_usage_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}},{"name":"since","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"description":"Start of the window, on or after 2020-01-01, at most 366 days after now.","title":"Since"},"description":"Start of the window, on or after 2020-01-01, at most 366 days after now."},{"name":"until","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"description":"End of the window, on or after 2020-01-01, at most 366 days after now.","title":"Until"},"description":"End of the window, on or after 2020-01-01, at most 366 days after now."},{"name":"group_by","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/ManagedExecutionUsageGroupBy"},{"type":"null"}],"title":"Group By"}},{"name":"max_groups","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"Maximum number of resource groups to return separately before __other__.","default":10,"title":"Max Groups"},"description":"Maximum number of resource groups to return separately before __other__."},{"name":"resolution","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Bucket width in minutes: 1, 5, 15, 60, 360, or 1440 (the default). With group_by set, a defaulted window holds at most 367 buckets.","title":"Resolution"},"description":"Bucket width in minutes: 1, 5, 15, 60, 360, or 1440 (the default). With group_by set, a defaulted window holds at most 367 buckets."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ManagedExecutionUsageResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/rate-limit-allocations/":{"get":{"tags":["Workspace Rate Limit Allocations"],"summary":"Read Workspace Rate Limit Allocations","description":"Get all rate limit allocations for the account.\n\nRequired account permissions: `read:account`","operationId":"read_workspace_rate_limit_allocations_api_accounts__account_id__rate_limit_allocations__get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceRateLimitAllocation"},"title":"Response Read Workspace Rate Limit Allocations Api Accounts  Account Id  Rate Limit Allocations  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Workspace Rate Limit Allocations"],"summary":"Upsert Workspace Rate Limit Allocations","description":"Upsert all workspace rate limit allocations for the account.\n\nAll workspaces in the account must be included in the allocations list,\nor an empty list to clear all allocations.\n\nRequired account permissions: `update:account`","operationId":"upsert_workspace_rate_limit_allocations_api_accounts__account_id__rate_limit_allocations__put","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceRateLimitAllocationsUpsert"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceRateLimitAllocation"},"title":"Response Upsert Workspace Rate Limit Allocations Api Accounts  Account Id  Rate Limit Allocations  Put"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/user_access/":{"post":{"tags":["Workspace User Access"],"summary":"Upsert Workspace User Access","description":"Upsert a workspace user access\n\nRequired workspace scopes: `manage_workspace_users`","operationId":"upsert_workspace_user_access_api_accounts__account_id__workspaces__workspace_id__user_access__post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/WorkspaceUserAccessCreate"},{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceUserAccessCreate"}}],"title":"Workspace User Accesses"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/WorkspaceUserAccessResponse"},{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceUserAccessResponse"}}],"title":"Response Upsert Workspace User Access Api Accounts  Account Id  Workspaces  Workspace Id  User Access  Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/user_access/filter":{"post":{"tags":["Workspace User Access"],"summary":"Read Workspace User Accesses","description":"Query for workspace user accesses\n\nRequired workspace scopes: `see_workspace_users`","operationId":"read_workspace_user_accesses_api_accounts__account_id__workspaces__workspace_id__user_access_filter_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_read_workspace_user_accesses_api_accounts__account_id__workspaces__workspace_id__user_access_filter_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceUserAccessResponse"},"title":"Response Read Workspace User Accesses Api Accounts  Account Id  Workspaces  Workspace Id  User Access Filter Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/user_access/{id}":{"get":{"tags":["Workspace User Access"],"summary":"Read Workspace User Access","description":"Read a workspace user access\n\nRequired workspace scopes: `see_workspace_users`","operationId":"read_workspace_user_access_api_accounts__account_id__workspaces__workspace_id__user_access__id__get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceUserAccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Workspace User Access"],"summary":"Delete Workspace User Access","description":"Delete a workspace user access by id.\n\nThis route will also conditionally delete the user's account membership if:\n- account membership of the actor has `Collaborator` role\n- the actor has no more workspace accesses under the account\n\nRequired workspace scopes: `manage_workspace_users`","operationId":"delete_workspace_user_access_api_accounts__account_id__workspaces__workspace_id__user_access__id__delete","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/bot_access/":{"post":{"tags":["Workspace Bot Access"],"summary":"Upsert Workspace Bot Access","description":"Grant one or more bots access to a workspace\n\nRequired workspace scopes: `manage_workspace_service_accounts`","operationId":"upsert_workspace_bot_access_api_accounts__account_id__workspaces__workspace_id__bot_access__post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/WorkspaceBotAccessCreate"},{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceBotAccessCreate"}}],"title":"Workspace Bot Accesses"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/WorkspaceBotAccessResponse"},{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceBotAccessResponse"}}],"title":"Response Upsert Workspace Bot Access Api Accounts  Account Id  Workspaces  Workspace Id  Bot Access  Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/bot_access/filter":{"post":{"tags":["Workspace Bot Access"],"summary":"Read Workspace Bot Accesses","description":"Query for workspace bot accesses\n\nRequired workspace scopes: `see_workspace_service_accounts`","operationId":"read_workspace_bot_accesses_api_accounts__account_id__workspaces__workspace_id__bot_access_filter_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_read_workspace_bot_accesses_api_accounts__account_id__workspaces__workspace_id__bot_access_filter_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceBotAccessResponse"},"title":"Response Read Workspace Bot Accesses Api Accounts  Account Id  Workspaces  Workspace Id  Bot Access Filter Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/bot_access/{id}":{"get":{"tags":["Workspace Bot Access"],"summary":"Read Workspace Bot Access","description":"Read a workspace bot access\n\nRequired workspace scopes: `see_workspace_service_accounts`","operationId":"read_workspace_bot_access_api_accounts__account_id__workspaces__workspace_id__bot_access__id__get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceBotAccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Workspace Bot Access"],"summary":"Delete Workspace Bot Access","description":"Delete a workspace bot access by id.\n\nRequired workspace scopes: `manage_workspace_service_accounts`","operationId":"delete_workspace_bot_access_api_accounts__account_id__workspaces__workspace_id__bot_access__id__delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/team_access/":{"put":{"tags":["Workspace Team Access"],"summary":"Upsert Workspace Team Access","description":"Grant one or more teams access to a workspace\n\nRequired workspace scopes: `manage_workspace_teams`","operationId":"upsert_workspace_team_access_api_accounts__account_id__workspaces__workspace_id__team_access__put","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceTeamAccessCreate"},"title":"Workspace Team Accesses"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceTeamAccess"},"title":"Response Upsert Workspace Team Access Api Accounts  Account Id  Workspaces  Workspace Id  Team Access  Put"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/team_access/filter":{"post":{"tags":["Workspace Team Access"],"summary":"Read Workspace Team Accesses","description":"List teams with access to a workspaces\n\nRequired workspace scopes: `manage_workspace_teams`","operationId":"read_workspace_team_accesses_api_accounts__account_id__workspaces__workspace_id__team_access_filter_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_read_workspace_team_accesses_api_accounts__account_id__workspaces__workspace_id__team_access_filter_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkspaceTeamAccessResponse"},"title":"Response Read Workspace Team Accesses Api Accounts  Account Id  Workspaces  Workspace Id  Team Access Filter Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/team_access/{team_id}":{"delete":{"tags":["Workspace Team Access"],"summary":"Remove Workspace Team Access","description":"Remove a team's access to a workspace\n\nRequired workspace scopes: `manage_workspace_teams`","operationId":"remove_workspace_team_access_api_accounts__account_id__workspaces__workspace_id__team_access__team_id__delete","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}},{"name":"team_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Team Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/accounts/{account_id}/workspaces/{workspace_id}/access/":{"get":{"tags":["Workspace Access"],"summary":"Read Actor Access","description":"Return a list of all actors with access to the workspace, including\nactors granted access via team membership.\n\nRequired workspace scopes: `see_workspace_users`,`see_workspace_service_accounts`","operationId":"read_actor_access_api_accounts__account_id__workspaces__workspace_id__access__get","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}},{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ObjectActorAccess"},"title":"Response Read Actor Access Api Accounts  Account Id  Workspaces  Workspace Id  Access  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/":{"get":{"tags":["Me"],"summary":"Read My Profile","description":"List the current actor's user profile","operationId":"read_my_profile_api_me__get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeReadResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/sessions":{"get":{"tags":["Me"],"summary":"Read My Sessions","description":"List the current actor's user sessions","operationId":"read_my_sessions_api_me_sessions_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/UserSessionResponse"},"type":"array","title":"Response Read My Sessions Api Me Sessions Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/sessions/filter":{"post":{"tags":["Me"],"summary":"Filter My Sessions","description":"Filter the current actor's user sessions","operationId":"filter_my_sessions_api_me_sessions_filter_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_filter_my_sessions_api_me_sessions_filter_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/UserSessionResponse"},"type":"array","title":"Response Filter My Sessions Api Me Sessions Filter Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/sessions/{session_id}/terminate":{"post":{"tags":["Me"],"summary":"Terminate My Session","description":"Terminate the current actor's user session","operationId":"terminate_my_session_api_me_sessions__session_id__terminate_post","parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Session Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/api_keys":{"get":{"tags":["Me"],"summary":"Read My Api Keys","description":"List the current actor's api keys","operationId":"read_my_api_keys_api_me_api_keys_get","parameters":[{"name":"name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/APIKeyReadResponse"},"title":"Response Read My Api Keys Api Me Api Keys Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/api_keys/filter":{"post":{"tags":["Me"],"summary":"Filter My Api Keys","operationId":"filter_my_api_keys_api_me_api_keys_filter_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_filter_my_api_keys_api_me_api_keys_filter_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/accounts":{"get":{"tags":["Me"],"summary":"Read My Accounts","description":"List the current actor's accounts","operationId":"read_my_accounts_api_me_accounts_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/UserAccountResponse"},"type":"array","title":"Response Read My Accounts Api Me Accounts Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/organizations":{"get":{"tags":["Me"],"summary":"Read My Organizations","description":"List the current actor's accounts that have plans that\nare schemas.plans.AccountPlanType.ORGANIZATION","operationId":"read_my_organizations_api_me_organizations_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/UserOrganizationResponse"},"type":"array","title":"Response Read My Organizations Api Me Organizations Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/accounts/{account_id}/permissions":{"get":{"tags":["Me"],"summary":"Read My Account Permissions","description":"List the current actor's permissions for the given account","operationId":"read_my_account_permissions_api_me_accounts__account_id__permissions_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","uniqueItems":true,"items":{"$ref":"#/components/schemas/AccountPermission"},"title":"Response Read My Account Permissions Api Me Accounts  Account Id  Permissions Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/accounts/has_permission":{"get":{"tags":["Me"],"summary":"Read My Accounts With Permission","description":"Return the account ids the current actor has access to\nfor which they have the given permission","operationId":"read_my_accounts_with_permission_api_me_accounts_has_permission_get","parameters":[{"name":"permission","in":"query","required":true,"schema":{"$ref":"#/components/schemas/AccountPermission"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"},"title":"Response Read My Accounts With Permission Api Me Accounts Has Permission Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/accounts/{account_id}/has_permission":{"get":{"tags":["Me"],"summary":"Check My Account Permissions","description":"Return if current actor has specific permission for account","operationId":"check_my_account_permissions_api_me_accounts__account_id__has_permission_get","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}},{"name":"permission","in":"query","required":true,"schema":{"$ref":"#/components/schemas/AccountPermission"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"boolean","title":"Response Check My Account Permissions Api Me Accounts  Account Id  Has Permission Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/accounts/{account_id}":{"delete":{"tags":["Me"],"summary":"Leave Account","description":"Removes the user from an account. Will also remove any access the user\nhas to any workspaces under that account.","operationId":"leave_account_api_me_accounts__account_id__delete","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Account Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/workspaces":{"get":{"tags":["Me"],"summary":"Read My Workspaces","description":"List the current actor's workspaces","operationId":"read_my_workspaces_api_me_workspaces_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/UserWorkspaceResponse"},"type":"array","title":"Response Read My Workspaces Api Me Workspaces Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/workspaces/{workspace_id}/scopes":{"get":{"tags":["Me"],"summary":"Read My Workspace Scopes","description":"List the current actor's scopes for the given workspace","operationId":"read_my_workspace_scopes_api_me_workspaces__workspace_id__scopes_get","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workspace Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"},"title":"Response Read My Workspace Scopes Api Me Workspaces  Workspace Id  Scopes Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/me/workspaces/{workspace_id}/has_scope":{"get":{"tags":["Me"],"summary":"Check My Workspace Sc
[...]
